from super_bot import SuperBot
from datetime import datetime, timedelta
from super_bot.timer import Timer
from subprocess import run


bot = SuperBot()

bot.random_sleep(5000, 6000)

timer = Timer(timedelta(minutes=61))

while timer.ongoing():
    print(f"{datetime.now()} Pressing space")
    bot.press_key(' ')
    bot.super_random_sleep(60_000, 110_000)
    
    extra_chance = bot.random_between(1, 10)

    if extra_chance == 5:
        bot.super_random_sleep(60, 110_000)

bot.press_key(".")
run(["explorer", "C:\\Users\\user\\Pictures\\red.jpg"])
run(["explorer", "C:\\Users\\user\\Pictures\\red.jpg"])
